import { defineStore } from 'pinia'

export const urgeStore = defineStore('urge', () => {
  const inspectorInfo = ref<anyObj>({})
  async function getInspectorInfo() {
    // const {
    //     data: { data: res }
    // } = await getInspectorButtonData()
    // inspectorInfo.value = res
    inspectorInfo.value = {}
  }

  function $reset() {
    inspectorInfo.value = {}
  }

  return {
    inspectorInfo,
    getInspectorInfo,
    $reset,
  }
})
